@echo off

if "%1"=="h" goto begin 
start mshta vbscript:createobject("wscript.shell").run("""%~nx0"" h",0)(window.close)&&exit 
:begin

cls

cd Setup

ver|find /i " 6.3">nul &&set Winver=WIN8.1&&  goto MSI
ver|find /i " 6.2">nul &&set Winver=WIN8&&  goto MSI
ver|find /i " 6.1">nul &&set Winver=WIN7&&  goto MSI
ver|find /i " 6.0">nul &&set Winver=vista&& goto MSI
ver|find /i " 5.0">nul &&set Winver=winnt&& goto EXE
ver|find /i " 5.1">nul &&set Winver=winnt&& goto EXE
ver|find /i " 5.2">nul &&set Winver=winnt&& goto EXE

:MSI
call setup.msi
goto end

:EXE
call setup.exe
goto end
 
:end
